TSingleReferencedObject< T >::EmptyDestructor Struct Reference

`#include <mia/core/singular_refobj.hh>`

Inheritance diagram for TSingleReferencedObject< T >::EmptyDestructor:
[legend]
Collaboration diagram for TSingleReferencedObject< T >::EmptyDestructor:
[legend]

## Public Member Functions

| EmptyDestructor ()
virtual void | operator() (T &data) const
Public Member Functions inherited from TSingleReferencedObject< T >::Destructor
| Destructor ()

## Detailed Description

template<typename T>
struct TSingleReferencedObject< T >::EmptyDestructor

Definition at line 55 of file singular_refobj.hh.

## Constructor & Destructor Documentation

## EmptyDestructor()

template<typename T>

TSingleReferencedObject< T >::EmptyDestructor::EmptyDestructor | ( |  | ) |

inline

Definition at line 56 of file singular_refobj.hh.

## Member Function Documentation

## operator()()

template<typename T>

virtual void TSingleReferencedObject< T >::EmptyDestructor::operator() | ( | T & | data | ) | const

inline virtual

Implements TSingleReferencedObject< T >::Destructor.

Definition at line 57 of file singular_refobj.hh.

The documentation for this struct was generated from the following file:

- singular_refobj.hh